Module
Contents
Index 🔎︎

# Erl Function

Returnerar det radnummer där ett fel uppstod under programkörningen.

## Syntax:

    Erl

## Returvärde:

Integer

## Parametrar:

Funktionen Erl returnerar endast ett radnummer och inte en radetikett.

## Exempel:

    Sub ExampleError

    On Error GoTo ErrorHandler ' Ställ in felhanterare

    Dim iVar As Integer

    Dim sVar As String

    ' Felet orsakas av att filen saknas

        iVar = Freefile

        Open "\file9879.txt" For Input As #iVar

        Line Input #iVar, sVar

        Close #iVar

        Exit Sub

    ErrorHandler:

        MsgBox "Fel " & Err & ": " & Error$ + chr(13) + "På rad : " + Erl + chr(13) + Now , 16 ,"Ett fel har inträffat"

    End Sub